package cpcns.dingZhi.Public.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuan;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanService;
import cpcns.danganzhengli.wenshu.danganhe.model.DDangAnHe;
import cpcns.danganzhengli.wenshu.danganhe.service.IDDangAnHeService;
import cpcns.dingZhi.Public.service.IPublicService;
import cpcns.dingZhi.zHUANTI.model.zHUANTI;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import cpcns.utils.createWord;
import cpcns.utils.tool;
import java.io.File;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"publicController"})
public class PublicController extends DangAnBaseController {
  @Autowired
  private IPublicService publicService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDAnJuanService dAnJuanService;
  
  @Autowired
  private IDDangAnHeService dDangAnHeService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String view = "dingZhi/public/public_list";
    String tabView = request.getParameter("tabView");
    model.addAttribute("tabView", tabView);
    return view;
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    String view = "dingZhi/public/public_edit";
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    model.addAttribute("dWQuanZongHao", dWQuanZongHao);
    zHUANTI obj = new zHUANTI();
    String menLei = request.getParameter("menLei");
    String tabView = request.getParameter("tabView");
    obj.setMenLei(menLei);
    User user = getCurrentUser();
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    if (user != null) {
      obj.setLuRuRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
      obj.setLuRuRenMingCheng(user.getMingCheng());
      obj.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
      obj.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
      obj.setQuanZongHao(user.getQuanZongHao());
    } 
    if (StringUtils.isNotEmpty(menLei) && menLei.lastIndexOf("XWS") > 0) {
      obj.setGuiDangLeiXing(Integer.valueOf(2));
    } else {
      obj.setGuiDangLeiXing(Integer.valueOf(1));
    } 
    obj.setYeShu(Integer.valueOf(1));
    obj.setYouYuanWen(Integer.valueOf(0));
    obj.setGuanLianBiaoShi(Integer.valueOf(0));
    obj.setFenShu("1");
    obj.setKaiFangZhuangTai(Integer.valueOf(0));
    obj.setShuJuLaiYuan(Integer.valueOf(3));
    obj.setSiXingJianChaBiaoShi("0|0|0|0");
    obj.setZhuangTai(Integer.valueOf(0));
    obj.setJieYueZhuangTai(Integer.valueOf(0));
    model.addAttribute("rongQiDangHao", "");
    model.addAttribute("obj", obj);
    model.addAttribute("tabView", tabView);
    model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    return view;
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      String menLei = request.getParameter("menLei");
      String paixutiaojian = this.publicService.paiXuTiaoJian(String.valueOf(this.table.toUpperCase()) + "_" + menLei);
      if (StringUtils.isBlank(paixutiaojian))
        paixutiaojian = "quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao asc"; 
      System.out.println(paixutiaojian);
      PagerVO pagevo = this.publicService.query_SQL(getUser(), this.start, this.number, this.table, map, CommStatic.getOrderBy(request, paixutiaojian));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("", "").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("YOUYUANWEN", "YOUYUANWEN")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("ZERENZHE", "zeRenZhe").replaceAll("WENHAO", "WENHAO")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi")
        .replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("GUIDANGLEIXING", "guiDangLeiXing").replaceAll("KAIFANGZHAUNGTAI", "kaiFangZhuangTai").replaceAll("YESHU", "yeShu")
        .replaceAll("SHENHEZHUANGTAI", "shenHeZhuangTai").replaceAll("CUNFANGWEIZHI", "cunFangWeiZhi").replaceAll("JIEYUEZHUANGTAI", "jieYueZhuangTai").replaceAll("GUIDANGRIQI", "guiDangRiQi")
        .replaceAll("ZONGSHULIANG", "zongShuLiang").replaceAll("SHENYUSHULIANG", "shenYuShuLiang").replaceAll("MENLEI", "menLei").replaceAll("LAIWENDANWEI", "laiWenDanWei")
        .replaceAll("LAIYUANMINGCHENG", "laiYuanMingCheng").replaceAll("MIJI", "miJi").replaceAll("BAOMIQIXIAN", "baoMiQiXian").replaceAll("WENZHONG", "wenZhong").replaceAll("WENZHONGMINGCHENG", "wenZhongMingCheng")
        .replaceAll("XINXIGONGKAIBIAOSHI", "xinXiGongKaiBiaoShi").replaceAll("XINXIBUGONGKAIYUANYIN", "xinXiBuGongKaiYuanYin").replaceAll("ZHUSONG", "zhuSong").replaceAll("CHAOSONG", "chaoSong");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @ResponseBody
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String info = "";
    User user = getCurrentUser();
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    zHUANTI obj = (zHUANTI)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), zHUANTI.class);
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
          rizhi = "修改";
          if (obj.getKaiFangZhuangTai().intValue() < 0)
            obj.setKaiFangZhuangTai(Integer.valueOf(0)); 
          obj.setShuJuLaiYuan(Integer.valueOf(3));
          obj.setSiXingJianChaBiaoShi("0|0|0|0");
          obj.setDengJiShiJian(new Date());
          this.publicService.update(obj);
          rm.setSuccess(true);
          rm.setBeizhu((String)obj.getHangBiaoShi());
          info = "保存成功！";
        } else {
          rizhi = "新增";
          obj.setHangBiaoShi(Integer.valueOf(this.publicService.getPk(this.table)));
          obj.setZhuangTai(Integer.valueOf(0));
          obj.setKaiFangZhuangTai(Integer.valueOf(0));
          obj.setShuJuLaiYuan(Integer.valueOf(3));
          obj.setSiXingJianChaBiaoShi("0|0|0|0");
          obj.setJieYueZhuangTai(Integer.valueOf(0));
          if (obj.getGuanLianBiaoShi() == null || obj.getGuanLianBiaoShi().intValue() == 0)
            obj.setGuanLianBiaoShi(Integer.valueOf(0)); 
          rm.setBeizhu((String)obj.getHangBiaoShi());
          this.publicService.save(obj);
          rm.setSuccess(true);
          info = "保存成功！";
          rm.setBeizhu((String)obj.getHangBiaoShi());
          this.publicService.addDA_RiZhi(user, this.server, "D_ZhuanTi", obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
        } 
        String menLei = obj.getMenLei();
        Integer gdlx = obj.getGuiDangLeiXing();
        if (StringUtils.isNotBlank(guanLianBiaoShi) && 
          Integer.valueOf(guanLianBiaoShi).intValue() > 0) {
          StringBuffer sql = new StringBuffer();
          if (gdlx.intValue() == 2) {
            DDangAnHe dangAnHe = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(guanLianBiaoShi));
            int fenShu = dangAnHe.getFenShu().intValue();
            if (fenShu == 0) {
              sql.append(" update D_DangAnHe set fenShu=1 where hangBiaoShi=" + guanLianBiaoShi);
            } else {
              fenShu = dangAnHe.getFenShu().intValue() + 1;
              sql.append(" update D_DangAnHe set fenShu='" + fenShu + "' where hangBiaoShi=" + guanLianBiaoShi);
            } 
            this.publicService.updateORSave(sql.toString());
            this.publicService.addDA_RiZhi(user, this.server, "D_zhuanTi", obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "装盒");
            this.publicService.addDA_RiZhi(user, this.server, "D_DangAnHe", dangAnHe.getHangBiaoShi(), String.valueOf(dangAnHe.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "添加盒内件");
          } else if (gdlx.intValue() == 1) {
            DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(guanLianBiaoShi));
            int fenShu = anJuan.getFenShu().intValue();
            if (fenShu == 0) {
              sql.append(" update D_AnJuan set fenShu=1 where hangBiaoShi=" + guanLianBiaoShi);
            } else {
              fenShu = anJuan.getFenShu().intValue() + 1;
              sql.append(" update D_AnJuan set fenShu='" + fenShu + "' where hangBiaoShi=" + guanLianBiaoShi);
            } 
            this.publicService.updateORSave(sql.toString());
            this.publicService.addDA_RiZhi(user, this.server, "D_zhuanTi", obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "组卷");
            this.publicService.addDA_RiZhi(user, this.server, "D_AnJuan", anJuan.getHangBiaoShi(), String.valueOf(anJuan.getBiaoTi()) + "$." + anJuan.getDangHao() + "$." + obj.getMenLei(), "添加卷内文件");
          } 
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    String View = "dingZhi/public/public_edit";
    try {
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      String tabView = request.getParameter("tabView");
      User user = getCurrentUser();
      model.addAttribute("keyWordResult", ids);
      zHUANTI obj = (zHUANTI)this.publicService.getById(zHUANTI.class, hangBiaoShi);
      String fgf = "";
      String ml = obj.getMenLei();
      if (StringUtils.isNotBlank(ml)) {
        GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(ml);
        if (dam != null) {
          fgf = dam.getFenGeFu();
          model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
          model.addAttribute("fenGeFu", fgf);
          model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
          model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
          if (StringUtils.isBlank(this.table))
            this.table = dam.getBiaoMing(); 
        } 
      } 
      int gdlx = obj.getGuiDangLeiXing().intValue();
      int glbs = obj.getGuanLianBiaoShi().intValue();
      if (glbs > 0) {
        String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        if (gdlx == 2) {
          DDangAnHe dah = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(glbs));
          String rqdh = "";
          if ("1".equals(xtlx)) {
            Integer integer = dah.getXuHao();
            if (StringUtils.isNotEmpty(dah.getFuHeHao()))
              String str = String.valueOf(integer) + "-" + dah.getFuHeHao(); 
          } else {
            rqdh = (new StringBuilder(String.valueOf(dah.getGuanBianHeHao()))).toString();
            if (StringUtils.isNotEmpty(dah.getFuHeHao()))
              rqdh = String.valueOf(rqdh) + "-" + dah.getFuHeHao(); 
          } 
          model.addAttribute("rongQiDangHao", rqdh);
        } else {
          String ajdh = obj.getDangHao();
          if (StringUtils.isNotBlank(ajdh)) {
            String temp = ajdh.substring(0, ajdh.lastIndexOf(fgf));
            model.addAttribute("rongQiDangHao", temp);
          } 
        } 
      } 
      if (StringUtils.isBlank(tabView))
        if (ml.endsWith("WS")) {
          tabView = "1";
        } else if (ml.endsWith("ZP")) {
          tabView = "2";
        } else if (ml.endsWith("LY")) {
          tabView = "3";
        } else if (ml.endsWith("LX")) {
          tabView = "4";
        } else {
          tabView = "5";
        }  
      request.setAttribute("chaoSong", obj.getChaoSong());
      model.addAttribute("obj", obj);
      model.addAttribute("tabView", tabView);
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      model.addAttribute("dWQuanZongHao", dWQuanZongHao);
      this.publicService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return View;
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        info = "删除成功！";
        this.publicService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.publicService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), biaoTi, "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/newWJ.do"})
  public String newWJ(HttpServletRequest request, Model model) throws Exception {
    String View = "dingZhi/public/public_edit";
    Integer guanLianBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("guanLianBiaoShi")));
    String tabView = request.getParameter("tabView");
    int guiDangLeiXing = Integer.parseInt(request.getParameter("guiDangLeiXing"));
    String menLei = request.getParameter("menLei");
    String type = request.getParameter("type");
    String state = request.getParameter("state");
    String table = request.getParameter("table");
    String fenLeiMingCheng = request.getParameter("fenLeiMingCheng");
    String fenLeiHao = request.getParameter("fenLeiHao");
    String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    if (StringUtils.isNotBlank(menLei)) {
      GDangAnMenLei gDangAnMenLei = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
      if (gDangAnMenLei != null)
        model.addAttribute("jigouwenti", gDangAnMenLei.getHangBiaoShi()); 
    } 
    User user = getCurrentUser();
    zHUANTI wj = new zHUANTI();
    if (guiDangLeiXing == 1) {
      DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(guanLianBiaoShi);
      wj.setGuanLianBiaoShi(anJuan.getHangBiaoShi());
      wj.setGuiDangNianDu(anJuan.getGuiDangNianDu());
      wj.setBaoGuanQiXian(anJuan.getBaoGuanQiXian());
      wj.setQuanZongHao(anJuan.getQuanZongHao());
      if (guanLianBiaoShi.intValue() > 0) {
        String sql = new String("select Max(xuHao)  from " + table + " where  guanLianBiaoShi= " + guanLianBiaoShi);
        List<E> list = this.dAnJuanService.getList(sql);
        if (list != null && list.size() > 0)
          if (list.get(0) != null) {
            String xuhao = list.get(0).toString();
            int maxxuhao = Integer.valueOf(xuhao).intValue() + 1;
            wj.setXuHao(Integer.valueOf(maxxuhao));
          } else {
            wj.setXuHao(Integer.valueOf(1));
          }  
        getRequest().setAttribute("rongQiDangHao", anJuan.getDangHao());
        wj.setFenLeiMingCheng(anJuan.getFenLeiMingCheng());
      } 
    } else {
      DDangAnHe dangAnHe = (DDangAnHe)this.dDangAnHeService.getById(guanLianBiaoShi);
      wj.setGuanLianBiaoShi(dangAnHe.getHangBiaoShi());
      wj.setGuiDangNianDu(dangAnHe.getGuiDangNianDu());
      wj.setBaoGuanQiXian(dangAnHe.getBaoGuanQiXian());
      wj.setQuanZongHao(dangAnHe.getQuanZongHao());
      if (guanLianBiaoShi.intValue() > 0) {
        String str;
        Integer integer = dangAnHe.getXuHao();
        if ("1".equals(xtlx)) {
          integer = dangAnHe.getXuHao();
          if (StringUtils.isNotEmpty(dangAnHe.getFuHeHao()))
            str = String.valueOf(integer) + "-" + dangAnHe.getFuHeHao(); 
        } else {
          str = (new StringBuilder(String.valueOf(dangAnHe.getGuanBianHeHao()))).toString();
          if (StringUtils.isNotEmpty(dangAnHe.getFuHeHao()))
            str = String.valueOf(str) + "-" + dangAnHe.getFuHeHao(); 
        } 
        getRequest().setAttribute("rongQiDangHao", str);
        wj.setFenLeiMingCheng(dangAnHe.getFenLeiMingCheng());
      } 
    } 
    wj.setGuiDangLeiXing(Integer.valueOf(guiDangLeiXing));
    wj.setMenLei(menLei);
    wj.setYouYuanWen(Integer.valueOf(0));
    wj.setKaiFangZhuangTai(Integer.valueOf(0));
    wj.setFenShu("1");
    wj.setShuJuLaiYuan(Integer.valueOf(3));
    wj.setSiXingJianChaBiaoShi("0|0|0|0");
    wj.setJieYueZhuangTai(Integer.valueOf(0));
    wj.setYeShu(Integer.valueOf(1));
    wj.setZhuangTai(Integer.valueOf(2));
    if (StringUtils.isNotBlank(menLei) && StringUtils.isNotBlank(fenLeiMingCheng)) {
      wj.setFenLeiMingCheng(fenLeiMingCheng);
      wj.setFenLeiHao(fenLeiHao);
    } 
    if (user != null) {
      if ("1".equals(xtlx)) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          wj.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          wj.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      wj.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
      wj.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
      wj.setLuRuRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
      wj.setLuRuRenMingCheng(user.getMingCheng());
      if (guiDangLeiXing == 1) {
        String quanZongHao = request.getParameter("quanZongHao");
        wj.setQuanZongHao(quanZongHao);
      } 
      wj.setBuMenBianMa(user.getBuMenJianCheng());
    } 
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(wj.getMenLei());
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
      String erJiPanDuan = "0";
      if (StringUtils.isNotBlank(dam.getPaiXuGuiZeMingCheng()))
        erJiPanDuan = dam.getPaiXuGuiZeMingCheng(); 
      getRequest().setAttribute("erJiPanDuan", erJiPanDuan);
    } 
    getRequest().setAttribute("taa", Integer.valueOf(1));
    model.addAttribute("OFDType", AppConfiguration.getConfigValue("OFDType"));
    model.addAttribute("zHUANTI", wj);
    model.addAttribute("type", type);
    model.addAttribute("state", state);
    model.addAttribute("tabView", tabView);
    model.addAttribute("buMenJieDianBiaoShi", user.findRootBuMenJieDianBiaoShi());
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    model.addAttribute("dWQuanZongHao", dWQuanZongHao);
    return View;
  }
  
  @RequestMapping({"/newFPWJ.do"})
  public String newFPWJ(HttpServletRequest request, Model model) {
    String view = "dingZhi/public/public_edit";
    zHUANTI obj = new zHUANTI();
    String menLei = request.getParameter("menLei");
    String guiDangLeiXing = request.getParameter("guiDangLeiXing");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    String tabView = request.getParameter("tabView");
    obj.setMenLei(menLei);
    User user = getCurrentUser();
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    if (user != null) {
      obj.setLuRuRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
      obj.setLuRuRenMingCheng(user.getMingCheng());
      obj.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
      obj.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
      obj.setQuanZongHao(user.getQuanZongHao());
    } 
    obj.setYeShu(Integer.valueOf(1));
    obj.setYouYuanWen(Integer.valueOf(0));
    obj.setGuanLianBiaoShi(Integer.valueOf(guanLianBiaoShi));
    obj.setFenShu("1");
    obj.setKaiFangZhuangTai(Integer.valueOf(0));
    obj.setShuJuLaiYuan(Integer.valueOf(3));
    obj.setSiXingJianChaBiaoShi("0|0|0|0");
    obj.setJieYueZhuangTai(Integer.valueOf(0));
    obj.setGuiDangLeiXing(Integer.valueOf(guiDangLeiXing));
    obj.setGuiDangNianDu(Integer.valueOf(guiDangNianDu));
    obj.setBaoGuanQiXian(baoGuanQiXian);
    model.addAttribute("OFDType", AppConfiguration.getConfigValue("OFDType"));
    model.addAttribute("zHUANTI", obj);
    model.addAttribute("tabView", tabView);
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    model.addAttribute("dWQuanZongHao", dWQuanZongHao);
    return view;
  }
  
  @RequestMapping({"/gdwjmlPrint.do"})
  public String gdwjmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        if ((("querystr".equals(thisName) ? 0 : 1) & ("zuHeType".equals(thisName) ? 0 : 1)) != 0)
          jsonObject.put(thisName, thisValue); 
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append(" 1=1 ");
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      String ml = getRequest().getParameter("menLei");
      String xt = getRequest().getParameter("xt");
      String zifudaimas = getRequest().getParameter("zifudaimas");
      String fenLeiMingCheng = getRequest().getParameter("fenLeiMingCheng");
      String hangBiaoShi_in = getRequest().getParameter("hangBiaoShi_in");
      String querySt = request.getParameter("querystr");
      String zuHeType = request.getParameter("zuHeType");
      if (StringUtils.isNotBlank(hangBiaoShi_in)) {
        sqlWhere.append(" and hangBiaoShi in (").append(hangBiaoShi_in).append(")");
      } else {
        while (iterator.hasNext()) {
          String key = iterator.next();
          String value = jsonObject.getString(key);
          if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !key.equals("xt") && !key.equals("zifudaimas")) {
            if (key.contains("begin")) {
              key = key.substring(0, key.indexOf("begin"));
              sqlWhere.append(" and ").append(
                  String.valueOf(key) + " >= '" + value.replaceAll("-", "") + "'");
              continue;
            } 
            if (key.contains("end")) {
              key = key.substring(0, key.indexOf("end"));
              sqlWhere.append(" and ").append(
                  String.valueOf(key) + " <= '" + value.replaceAll("-", "") + "'");
              continue;
            } 
            if (key.equals("cWenRiQi")) {
              sqlWhere.append(" and ").append(
                  "chengWenRiQi  = '" + value.replaceAll("-", "") + "'");
              continue;
            } 
            if (!"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"_".equals(key)) {
              if (!key.contains("like")) {
                if (key.equals("guiDangLeiXing")) {
                  if (value.equals("2")) {
                    sqlWhere.append(" and guanLianBiaoShi =0");
                    continue;
                  } 
                  if (value.equals("1"))
                    sqlWhere.append(" and guanLianBiaoShi > 0"); 
                  continue;
                } 
                if (key.equals("gdzt")) {
                  if (value.equals("1")) {
                    sqlWhere.append(" and zhuangTai =").append(value);
                    continue;
                  } 
                  if (value.equals("2")) {
                    sqlWhere.append(" and zhuangTai in(").append("0,2)");
                    continue;
                  } 
                  if (value.equals("5"))
                    sqlWhere.append(" and zhuangTai =").append(value); 
                  continue;
                } 
                if (key.contains("_in")) {
                  key = key.substring(0, key.indexOf("_in"));
                  sqlWhere.append(" and ").append(key).append(" in (").append(value).append(")");
                  continue;
                } 
                sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
                continue;
              } 
              key = key.substring(0, key.indexOf("like"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
            } 
          } 
        } 
      } 
      StringBuilder sql = new StringBuilder("select hangBiaoShi,biaoTi,baoGuanQiXianMC baoGuanQiXian,guiDangNianDu,wenHao,dangHao,zeRenZhe,chengWenRiQi cwrq,miJimc,yeShu,xinXiGongKaiBiaoShiMC xinXiGongKaiBiaoShi,xinXiBuGongKaiYuanYin,xuhao,beiZhu,baoMiQiXianMC baoMiQiXian from v_ztgdwjmudy  where zhuangTai ");
      String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      if ("1".equals(xtlx)) {
        sql.append(" in (0,1,2,5,6) ");
      } else {
        sql.append(" in (1,2,5,6)");
      } 
      if (sqlWhere.length() > 0)
        sql.append(sqlWhere.toString()); 
      sql.append(" order by quanZongHao, guiDangNianDu,baoguanQiXian,dangHao,xuHao asc ");
      String guiDangNianDu = request.getParameter("guiDangNianDu");
      String baoGuanQiXian = request.getParameter("baoGuanQiXian");
      String quanZongHao = request.getParameter("quanZongHao");
      Map<String, String> tjmap = new HashMap<>();
      tjmap.put("guiDangNianDu", guiDangNianDu);
      if (StringUtils.isNotBlank(quanZongHao))
        tjmap.put("quanZongHao", quanZongHao); 
      List<Map<String, Object>> list = this.publicService.getListMap(sql.toString());
      HashMap<String, Object> params = new HashMap<>();
      String model = "guidangweijianmulu_jw.jasper";
      if (StringUtils.isNotBlank(zifudaimas)) {
        model = zifudaimas;
        if (model.endsWith("guidangweijianmulu_jw.jasper")) {
          if (StringUtils.isNotBlank(dWQuanZongHao))
            if (dWQuanZongHao.equals("DA145")) {
              model = "guidangweijianmulu_jw.jasper";
            } else {
              model = "guidangweijianmulu_" + dWQuanZongHao + ".jasper";
              if (dWQuanZongHao.equals("D0059"))
                model = "FPguidangweijianmulu_" + dWQuanZongHao + ".jasper"; 
            }  
        } else if (StringUtils.isNotBlank(dWQuanZongHao) && 
          !dWQuanZongHao.equals("DA145")) {
          model = "guidangweijianmulu_" + dWQuanZongHao + "_shuBan.jasper";
        } 
      } else if (StringUtils.isNotBlank(dWQuanZongHao)) {
        if (dWQuanZongHao.equals("DA145")) {
          model = "guidangweijianmulu_jw.jasper";
        } else {
          model = "guidangweijianmulu_" + dWQuanZongHao + ".jasper";
        } 
      } 
      list = CommStatic.print_BuKongXing(list, 10);
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "gdwjml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/wjfpPrint.do"})
  public String wjfpPrint(HttpServletRequest request, HttpServletResponse response) {
    try {
      User user = getCurrentUser();
      String ml = getRequest().getParameter("menLei");
      String type = getRequest().getParameter("type");
      String hangBiaoshi = getRequest().getParameter("hangBiaoshi");
      List<XiTongDaiMa> xtdms = this.commonService.xiTongDaiMaList("7087");
      List<XiTongDaiMa> bgqx = this.commonService.xiTongDaiMaList("11720");
      List<XiTongDaiMa> qxs = this.commonService.xiTongDaiMaList("23867");
      StringBuilder sql = new StringBuilder("select w.hangBiaoShi,w.quanZongHao,w.miji,w.biaoTi,w.wenHao,w.guiDangNianDu,w.xinXiGongKaiBiaoShi,w.xuHao,w.fenleimingcheng,w.baoGuanQiXian,w.lijuandanweimingcheng,w.baoMiQiXian from D_zhuanTi w where ");
      if ("0".equals(type)) {
        sql.append(" w.hangBiaoshi in (").append(hangBiaoshi).append(")");
      } else {
        sql.append(" w.guanLianBiaoshi in (").append(hangBiaoshi).append(")");
      } 
      sql.append(" and zhuangtai in(0,1,2,5) and menLei='" + ml + "'");
      sql.append(" order by w.xuHao asc ");
      List<Map<String, Object>> list = this.publicService.getListMap(sql.toString());
      boolean ismiji = true;
      for (int i = 0; i < list.size(); i++) {
        Map<String, Object> map = list.get(i);
        String qzh = (String)map.get("QUANZONGHAO");
        String qzhmc = "";
        if (map.get("LIJUANDANWEIMINGCHENG") == null)
          if (!"null".equals(qzh) && StringUtils.isNotBlank(qzh)) {
            map.put("LIJUANDANWEIMINGCHENG", "");
          } else {
            map.put("LIJUANDANWEIMINGCHENG", "");
          }  
        if ("null".equals(qzh)) {
          map.put("QUANZONGHAO", "");
          map.put("FENLEIMINGCHENG", "");
        } else if (StringUtils.isNotBlank(qzh)) {
          String flmc = (String)map.get("FENLEIMINGCHENG");
          if ("null".equals(flmc))
            map.put("FENLEIMINGCHENG", ""); 
        } else {
          map.put("FENLEIMINGCHENG", "");
        } 
        if (map.get("LIJUANDANWEIMINGCHENG") == null)
          map.put("LIJUANDANWEIMINGCHENG", ""); 
        String mj = (String)map.get("MIJI");
        String qx = (String)map.get("BAOMIQIXIAN");
        String qxmc = "";
        if (StringUtils.isNotBlank(qx) && !"null".equals(qx) && !"0".equals(qx)) {
          for (int j = 0; j < qxs.size(); j++) {
            XiTongDaiMa xtdm = qxs.get(j);
            Integer dm = xtdm.getZhengXingDaiMa();
            String mc = xtdm.getMingCheng();
            if (Integer.valueOf(qx) == dm) {
              qxmc = mc;
              break;
            } 
          } 
        } else {
          qxmc = "";
        } 
        if (StringUtils.isNotBlank(mj) && !"null".equals(mj) && !"0".equals(mj)) {
          for (int j = 0; j < xtdms.size(); j++) {
            XiTongDaiMa xtdm = xtdms.get(j);
            Integer dm = xtdm.getZhengXingDaiMa();
            String mc = xtdm.getMingCheng();
            if (Integer.valueOf(mj) == dm) {
              if (StringUtils.isNotBlank(qxmc))
                mc = String.valueOf(mc) + " " + qxmc; 
              map.put("MIJI", mc);
              break;
            } 
          } 
          ismiji = true;
        } else {
          ismiji = false;
          map.put("MIJI", "");
        } 
        String bgqx_ = (String)map.get("BAOGUANQIXIAN");
        if (StringUtils.isNotBlank(bgqx_) && !"null".equals(bgqx_)) {
          for (int j = 0; j < bgqx.size(); j++) {
            XiTongDaiMa xtdm2 = bgqx.get(j);
            String dm = xtdm2.getZiFuDaiMa();
            String mc = xtdm2.getMingCheng();
            if (bgqx_.equals(dm)) {
              map.put("BAOGUANQIXIAN", mc);
              break;
            } 
          } 
        } else {
          map.put("BAOGUANQIXIAN", "");
        } 
        String gdnd = (String)map.get("GUIDANGNIANDU");
        map.put("GUIDANGNIANDU", gdnd);
        String xh = (String)map.get("XUHAO");
        map.put("XUHAO", xh);
      } 
      Map<String, String> templateName = new HashMap<>();
      templateName.put("1", "wjfp.ftl");
      templateName.put("2", "wjfp_miji.ftl");
      String path = AppConfiguration.getConfigValue("OACaiJiPath");
      String printURL = AppConfiguration.getConfigValue("printURL");
      String urlpath = createWord.createWords_ws(list, templateName, path);
      String[] requestUri = request.getRequestURI().split("/");
      String webServerPath = "http://" + request.getServerName() + ":" + 
        request.getServerPort() + File.separator + requestUri[1];
      String filepath = String.valueOf(webServerPath) + urlpath;
      request.setAttribute("filePath", StringUtil.dealBasePath(filepath));
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
}
